Subject: [bug#41033] [PATCH] gnu: libusb-0.1: fix build failure on newer gcc

From: Jakub Kądziołka <[email-masked]>
Date: Sun, 3 May 2020 12:58:46 +0200

On Sat, May 02, 2020 at 02:47:56PM -0800, Christopher Howard wrote:
> I need libusb-0.1 to build some older software, but libusb-0.1 build
> fails due to a warning from the current GCC version. (Evidently libusb-
> 0.1 is set to die on any warning.) The attached patch silences the
> warning.

Thanks for your patch! I'm wondering though, whether it wouldn't be more
resilient to add a -Wno-error flag instead. After all, the compiler is
going to get upgraded sooner or later, which will introduce new
warnings, and libusb 0.1 isn't getting any upgrades...

A quick grep suggests that this wouldn't be the first package to disable
Werror. Makes sense, since this mode is mostly useful to developers, and
not packagers.

What do you think?

Kind regards,
Jakub Kądziołka